Issue #16749 has been updated by nagachika (Tomoyuki Chikanaga).

Backport changed from 2.5: UNKNOWN, 2.6: UNKNOWN, 2.7: REQUIRED to 2.5: UNKNOWN, 2.6: UNKNOWN, 2.7: DONE

ruby_2_7 4437f9eb0bf8369bcf12bd7cd324e11b5d885e07 merged revision(s) da05c1552ee519d8f180b48d97148d28501acb35.

----------------------------------------
Bug #16749: File.lchmod specs fails on linux since glibc 2.31.9000
https://bugs.ruby-lang.org/issues/16749#change-86684

* Author: vo.x (Vit Ondruch)
* Status: Closed
* Priority: Normal
* Assignee: Eregon (Benoit Daloze)
* ruby -v: ruby 2.7.0p0 (2019-12-25 revision 647ee6f091) [x86_64-linux]
* Backport: 2.5: UNKNOWN, 2.6: UNKNOWN, 2.7: DONE
----------------------------------------
I observe following test errors on Fedora Rawhide when building against glibc 2.31.9000:

~~~
1)
File.lchmod returns false from #respond_to? FAILED
Expected true to be false
/builddir/build/BUILD/ruby-2.7.0/spec/ruby/core/file/lchmod_spec.rb:35:in `block (3 levels) in <top (required)>'
/builddir/build/BUILD/ruby-2.7.0/spec/ruby/core/file/lchmod_spec.rb:3:in `<top (required)>'

2)
File.lchmod raises a NotImplementedError when called FAILED
Expected NotImplementedError but no exception was raised (0 was returned)
/builddir/build/BUILD/ruby-2.7.0/spec/ruby/core/file/lchmod_spec.rb:39:in `block (3 levels) in <top (required)>'
/builddir/build/BUILD/ruby-2.7.0/spec/ruby/core/file/lchmod_spec.rb:3:in `<top (required)>'
~~~

This seems to be related to #16662



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>